/*
* Math library
*
* Copyright (C) 2016 Intel Corporation. All rights reserved.
*
* Redistribution and use in source and binary forms, with or without
* modification, are permitted provided that the following conditions
* are met:
*
*   * Redistributions of source code must retain the above copyright
*     notice, this list of conditions and the following disclaimer.
*   * Redistributions in binary form must reproduce the above copyright
*     notice, this list of conditions and the following disclaimer in
*     the documentation and/or other materials provided with the
*     distribution.
*   * Neither the name of Intel Corporation nor the names of its
*     contributors may be used to endorse or promote products derived
*     from this software without specific prior written permission.
*
* THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
* "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
* LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
* A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
* OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
* SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
* LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
* DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
* THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
* (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
* OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
*
*
* Author Name <jingwei.zhang@intel.com>
*   History:
*   03-14-2016 Initial version. numerics svn rev. 12864
*/
	.file "sqrtf_wmt.c"
	.text
..TXTST0:
# -- Begin  sqrtf
	.text
       .align    16,0x90
	.globl sqrtf
sqrtf:
# parameter 1: 8 + %ebp
..B1.1:
..L1:

        pushl     %ebp
        movl      %esp, %ebp
        andl      $-16, %esp
        subl      $16, %esp
        flds      8(%ebp)
        movl      8(%ebp), %edx
        cmpl      $2139095040, %edx
        ja        ..B1.3
..B1.2:
        fstps     8(%esp)
        movss     8(%esp), %xmm0
        sqrtss    %xmm0, %xmm0
        movss     %xmm0, (%esp)
        flds      (%esp)
        movl      %ebp, %esp
        popl      %ebp
        ret       
..B1.3:
        movl      %edx, %eax
        andl      $2147483647, %eax
        cmpl      $2139095040, %eax
        ja        ..B1.8
..B1.4:
        cmpl      $-2147483648, %edx
        je        ..B1.6
..B1.5:
        fstp      %st(0)
        call      ..L2
..L2:
        popl      %eax
        lea       _GLOBAL_OFFSET_TABLE_+[. - ..L2](%eax), %eax
        movss     _ConstantTable@GOTOFF(%eax), %xmm0
        mulss     16+_ConstantTable@GOTOFF(%eax), %xmm0
        movss     %xmm0, (%esp)
        flds      (%esp)
..B1.6:
        movl      %ebp, %esp
        popl      %ebp
        ret       
..B1.8:
        fadd      %st(0), %st
        movl      %ebp, %esp
        popl      %ebp
        ret       
        .align    16,0x90
	.type	sqrtf,@function
	.size	sqrtf,.-sqrtf
	.data
# -- End  sqrtf
	.section .rodata, "a"
	.align 16
	.align 16
_ConstantTable:
	.long	0
	.long	2147483648
	.long	0
	.long	0
	.long	2139095040
	.long	4286578688
	.long	0
	.long	0
	.type	_ConstantTable,@object
	.size	_ConstantTable,32
	.data
	.section .note.GNU-stack, ""
# End
